@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+SC:wght@100;400;500&family=Noto+Sans+TC:wght@300;400;700&family=Oswald:wght@300;400;600&family=Poppins:wght@200;300;500&display=swap");
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css");
@import url(bootstrap.min.css);
.qna .accordion-item, .blog .news-list, .search {
  font-family: 'Oswald', 'Noto Sans TC', 'Noto Sans SC', sans-serif;
  font-weight: normal !important; }

/*button*/
.btn {
  border-radius: 0 !important;
  padding: 0.5em 1.3em;
  font-size: 1em;
  font-family: 'Oswald', 'Noto Sans TC', 'Noto Sans SC', sans-serif;
  text-transform: uppercase;
  transition: all 0.2s ease-in; }

.btn-lg {
  padding: 0.9em 1.2em !important;
  width: 100%;
  margin-bottom: 0.5em; }
  .btn-lg i {
    margin-right: 1em; }

.btn-none {
  border: 0px transparent;
  background-color: transparent;
  color: #ff0000; }
  .btn-none i {
    transition: all 0.2s ease-in; }
    .btn-none i:hover {
      transform: rotate(180deg); }

@media (min-width: 768px) {
  .btn-lg {
    padding: 0.5em 1.2em !important;
    width: 100%;
    margin-bottom: 0.5em; }
    .btn-lg i {
      margin-right: 1em; } }
.btn-red {
  background-color: #ff0000;
  border: 0px solid transparent !important;
  color: #fff; }
  .btn-red:hover, .btn-red:focus {
    background-color: #000;
    color: #fff;
    border: 0px solid transparent; }

.btn-grey {
  background-color: #ededed;
  border: 0px solid transparent !important;
  color: #333; }
  .btn-grey:hover, .btn-grey:focus {
    background-color: #000;
    color: #fff;
    border: 0px solid transparent; }

.btn-black {
  background-color: #000;
  border: 0px solid transparent;
  color: #fff; }
  .btn-black:hover, .btn-black:focus {
    background-color: #666;
    color: #fff;
    border: 0px solid transparent; }

.btn-outline-black {
  background-color: #fff;
  border: 1px solid #000; }
  .btn-outline-black:hover, .btn-outline-black:focus {
    background-color: #000;
    color: #fff; }

.btn-outline-white {
  border: 1px solid #999;
  color: #999;
  padding: 1.05rem 1.5rem !important; }
  .btn-outline-white:hover, .btn-outline-white:focus {
    background-color: #000;
    color: #fff;
    border: 1px solid transparent; }

@media (min-width: 768px) {
  .btn-lg {
    padding: 1em 1.8em !important;
    width: auto;
    margin-bottom: 0; }
    .btn-lg i {
      margin-right: 1em; } }
.bg-red {
  background-color: #ff0000;
  color: #fff; }

.qna .accordion-item {
  background-color: #fff;
  border: 1px solid #ededed !important;
  margin-bottom: 1em;
  border-radius: 0 !important;
  transition: all 0.2s ease-in; }
  .qna .accordion-item:hover .accordion-button {
    color: #ff0000;
    border: 1px solid #ff0000 !important;
    padding: 1rem 1.25rem 1rem 1.7rem !important; }
    .qna .accordion-item:hover .accordion-button:after {
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ff0000'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e"); }
  .qna .accordion-item:hover .accordion-collapse.collapse.show {
    border: 1px solid #ff0000; }
  .qna .accordion-item .accordion-button {
    font-weight: lighter !important;
    font-size: 1.33rem;
    border: 1px solid transparent;
    padding: 1rem 1.25rem !important;
    transition: all 0.2s ease-in; }
  .qna .accordion-item .accordion-button:not(.collapsed) {
    color: #fff;
    background-color: #ff0000;
    box-shadow: none;
    border-radius: 0 !important;
    font-weight: lighter !important;
    border: 1px solid #ff0000; }
    .qna .accordion-item .accordion-button:not(.collapsed):after {
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
      transform: rotate(-180deg); }
  .qna .accordion-item .accordion-collapse.collapse.show {
    border: 1px solid #ff0000;
    border-top: 0px transparent !important; }
  .qna .accordion-item .accordion-body {
    font-weight: lighter !important; }
  .qna .accordion-item:last-child .accordion-button.collapsed, .qna .accordion-item:last-child .accordion-collapse.collapse.show {
    border-bottom-right-radius: 0 !important;
    border-bottom-left-radius: 0 !important; }
  .qna .accordion-item:first-child .accordion-button.collapsed, .qna .accordion-item:first-child .accordion-collapse.collapse.show {
    border-top-right-radius: 0 !important;
    border-top-left-radius: 0 !important; }

.blog .news-list {
  box-shadow: none;
  padding: 0;
  height: inherit;
  transition: all 0.2s ease-in; }
  .blog .news-list .post-time {
    font-size: 0.85em;
    margin: 0.5em 0; }
  .blog .news-list .post-title {
    font-size: 1.5em;
    margin-bottom: 1em;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    box-sizing: border-box;
    height: 2.5em; }
  .blog .news-list:hover {
    box-shadow: none !important; }
@media (min-width: 992px) {
  .blog .news-list {
    box-shadow: 3px 3px 12px rgba(0, 0, 0, 0.25);
    padding: 1.5em;
    height: 100%; } }

.search .search-list a:link, .search .search-list a:visited {
  text-decoration: none;
  display: block;
  padding: 0.5em;
  position: relative;
  overflow: hidden;
  transition: all 0.4s ease-in; }
  .search .search-list a:link .p-num, .search .search-list a:visited .p-num {
    color: #ff0000;
    font-size: 1.5em;
    margin: 0;
    transition: all 0.2s ease-in; }
  .search .search-list a:link .p-name, .search .search-list a:visited .p-name {
    color: #000;
    font-size: 1.1em;
    margin: 0;
    transition: all 0.2s ease-in; }
  .search .search-list a:link img, .search .search-list a:visited img {
    transition: all 0.2s ease-in; }
  .search .search-list a:link:after, .search .search-list a:visited:after {
    position: absolute;
    left: -100%;
    top: 0;
    width: 100%;
    height: 100%;
    content: "";
    background-color: #ededed;
    z-index: -1;
    transition: all 0.2s ease-in; }
.search .search-list a:hover, .search .search-list a:active {
  padding: 0.5em;
  position: relative;
  overflow: hidden; }
  .search .search-list a:hover:after, .search .search-list a:active:after {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    content: "";
    background-color: #ededed;
    z-index: -1; }
  .search .search-list a:hover .p-num, .search .search-list a:active .p-num {
    transform: none; }
  .search .search-list a:hover .p-name, .search .search-list a:active .p-name {
    transform: none; }
  @media (min-width: 992px) {
    .search .search-list a:hover .p-num, .search .search-list a:active .p-num {
      transform: translateX(15px); }
    .search .search-list a:hover .p-name, .search .search-list a:active .p-name {
      transform: translateX(15px); } }
